%global veradd b2

Name:           python-icalendar
Version:        3.0.1
Release:        0.2%{?veradd:.%{veradd}}%{?dist}
Summary:        Parser/generator of iCalendar files following the RFC 2445

Group:          Development/Libraries
License:        BSD
URL:            http://pypi.python.org/pypi/icalendar
# source releases are done on pypi (homepage states 1.2 as latest version)
Source0:        http://pypi.python.org/packages/source/i/icalendar/icalendar-%{version}%{?veradd}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel,python-setuptools
BuildRequires:  pytz

Requires:       pytz

%description
iCalendar specification (RFC 2445) defines calendaring format used
by many applications (Zimbra, Thunderbird and others). This
module is a parser/generator of iCalendar files for use with
Python. It follows the RFC 2445 (iCalendar) specification.
The aim is to make a package that is fully compliant with RFC 2445,
well designed, simple to use and well documented.

%prep
%setup -q -n icalendar-%{version}%{?veradd}

%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT


%check
%{__python} setup.py test

%files
%doc README.rst docs/changelog.rst
%{python_sitelib}/icalendar
%{python_sitelib}/*.egg-info

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-0.2.b2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 30 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.0.1-0.1.b2
- Update to 3.0b2
- Change license to BSD (see https://github.com/collective/icalendar/issues/2)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug  5 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.1-3
- Install examples
- Fix tests for Python 2.7 and run them
- Add GPLv2 for parser.py to licenses

* Wed Aug  4 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.1-2
- State correct licenses

* Tue Aug  3 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.1-1
- Initial package version
